Bug 133788 - New port: comms/cutecom-qt4 QT-based serial terminal
Summary: New port: comms/cutecom-qt4 QT-based serial terminal
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-16 19:50 UTC by Jason W. Bacon
Modified: 2009-04-28 20:20 UTC (History)
0 users

See Also:


Attachments
file.shar (4.84 KB, text/plain)
2009-04-16 19:50 UTC, Jason W. Bacon
no flags Details
cutecom.patch (9.17 KB, patch)
2009-04-25 19:30 UTC, Max Brazhnikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2009-04-16 19:50:01 UTC
This is the newer version of cutecom, which requires QT4.  The existing cutecom port is QT3 based, and no longer maintained.  Cutecom is a simple, clean terminal emulator ideally suited for embedded programming/robotics.

Fix: See attached shar.

Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2009-04-16 20:19:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Max Brazhnikov freebsd_committer 2009-04-19 08:50:59 UTC
Why not to update comms/cutecom instead? Qt3 is unmaintained upstream, so 
getting rid of old stuff in favour newer one is preferable, imho.

Max
Comment 3 Jason W. Bacon freebsd_committer 2009-04-19 15:29:22 UTC
OK with me.  I thought it would be a good idea to keep the qt3 version 
available for a while, but it qt3 is no longer maintained...

    -Jason

Max Brazhnikov wrote:
> Why not to update comms/cutecom instead? Qt3 is unmaintained upstream, so 
> getting rid of old stuff in favour newer one is preferable, imho.
>
> Max
>
Comment 4 Max Brazhnikov freebsd_committer 2009-04-24 20:27:21 UTC
On Sun, 19 Apr 2009 09:29:22 -0500, Jason Bacon wrote:
> OK with me.  I thought it would be a good idea to keep the qt3 version
> available for a while, but it qt3 is no longer maintained...
>
>     -Jason
>
> Max Brazhnikov wrote:
> > Why not to update comms/cutecom instead? Qt3 is unmaintained upstream, so
> > getting rid of old stuff in favour newer one is preferable, imho.
> >
> > Max

Markus, any objection for cutecom update and passing maintainership to Jason?

Cheers,
Max
Comment 5 Max Brazhnikov freebsd_committer 2009-04-24 20:28:09 UTC
Responsible Changed
From-To: miwi->makc

Take with miwi's permission.
Comment 6 Max Brazhnikov freebsd_committer 2009-04-25 19:30:09 UTC
Here is updated patch,

Cheers,
Max
Comment 7 Max Brazhnikov freebsd_committer 2009-04-25 19:32:04 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 8 Jason W. Bacon freebsd_committer 2009-04-26 03:03:56 UTC
Looks fine to me.

    Jason

Max Brazhnikov wrote:
> Here is updated patch,
>
> Cheers,
> Max
>
Comment 9 dfilter service freebsd_committer 2009-04-28 20:18:03 UTC
makc        2009-04-28 19:17:53 UTC

  FreeBSD ports repository

  Modified files:
    comms/cutecom        Makefile distinfo pkg-descr pkg-plist 
    comms/cutecom/files  patch-cutecommdlg.ui 
                         patch-qcppdialogimpl.cpp 
  Added files:
    comms/cutecom/files  patch-CMakeLists.txt 
                         patch-qcppdialogimpl.h 
  Log:
  Update to 0.20.0, switch to Qt4.
  Pass maintainership to submitter.
  
  PR:             based on ports/133788
  Submitted by:   Jason Bacon <jwbacon at tds.net>
  Approved by:    markus (previous maintainer)
  
  Revision  Changes    Path
  1.13      +9 -16     ports/comms/cutecom/Makefile
  1.10      +3 -3      ports/comms/cutecom/distinfo
  1.1       +14 -0     ports/comms/cutecom/files/patch-CMakeLists.txt (new)
  1.2       +14 -14    ports/comms/cutecom/files/patch-cutecommdlg.ui
  1.6       +15 -64    ports/comms/cutecom/files/patch-qcppdialogimpl.cpp
  1.1       +24 -0     ports/comms/cutecom/files/patch-qcppdialogimpl.h (new)
  1.2       +2 -1      ports/comms/cutecom/pkg-descr
  1.4       +2 -3      ports/comms/cutecom/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Max Brazhnikov freebsd_committer 2009-04-28 20:18:55 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!